DELETEUser

/user/{user_id}

Removes a user

removed a user and overrides his responsibilities to the specified users.

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
user_idintegerYesUser ID

Body Parameters

NameTypeRequiredDescription
requestuser.DeleteParamsYesThe new users that take over the responsibilities<br>Optional: settlement_automations, closed_purchase_orders, pending_purchase_orders

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

requestBody parameteruser.DeleteParams
closed_credit_invoices
integer
No description.
closed_estimates
integer
No description.
closed_invoices
integer
No description.
closed_procedures
integer
No description.
closed_purchase_orders
integer
No description.
custom_filters
integer
No description.
custom_reports
integer
No description.
employment_contract_date_until
integer
No description.
pending_credit_invoices
integer
No description.
pending_estimates
integer
No description.
pending_followups_from
integer
No description.
pending_followups_to
integer
No description.
pending_invoices
integer
No description.
pending_procedures
integer
No description.
pending_purchase_orders
integer
No description.
settlement_automations
integer
No description.
cURL
curl -X DELETE 'https://<tenant>.dieagenturverwaltung.de/api/v2/user/123' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "closed_credit_invoices": 123,
  "closed_estimates": 123,
  "closed_invoices": 123,
  "closed_procedures": 123,
  "closed_purchase_orders": 123,
  "custom_filters": 123,
  "custom_reports": 123,
  "employment_contract_date_until": 123,
  "pending_credit_invoices": 123,
  "pending_estimates": 123,
  "pending_followups_from": 123,
  "pending_followups_to": 123,
  "pending_invoices": 123,
  "pending_procedures": 123,
  "pending_purchase_orders": 123,
  "settlement_automations": 123
}'
Request Body (application/json)
{
  "closed_credit_invoices": 123,
  "closed_estimates": 123,
  "closed_invoices": 123,
  "closed_procedures": 123,
  "closed_purchase_orders": 123,
  "custom_filters": 123,
  "custom_reports": 123,
  "employment_contract_date_until": 123,
  "pending_credit_invoices": 123,
  "pending_estimates": 123,
  "pending_followups_from": 123,
  "pending_followups_to": 123,
  "pending_invoices": 123,
  "pending_procedures": 123,
  "pending_purchase_orders": 123,
  "settlement_automations": 123
}

Responses

204No Content
unknownapplication/json
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}